#include <iostream>
using namespace std;
int main()
{
    int n,m,i,q;
    cin>>n>>m;
    char niz[n][m];
    bool run = 1;
    for(i=0;i<n;i++)
        for(q=0;q<m;q++){
            cin>>niz[i][q];
            if(niz[i][q]!='.')
                run = 0;
        }
    if(run)
    {
        int k=min(n,m);
        for(i=0;i<k;i++)
            niz[i][i]='C';
    for(i=0;i<n;i++){
        for(q=0;q<m;q++)
            cout<<niz[i][q];
        cout<<endl;
        }
    }
    else
        cout<<-1;
}